from json import load, dump
import os
import setuptools
from setuptools import setup, Extension

module1 = Extension('py3dutil', sources = ['src/' + x for x in ['py3dutil.c', 'obarr.c', 'red_black_tree.c', 'misc.c', 'vect.c', 'quat.c']])

buildno = 0
if os.path.exists('buildno'):
	buildno = load(open('buildno', 'r'))['build']
	buildno += 1
dump({'build': buildno}, open('buildno', 'w'))

setup (name = 'py3dutil',
	version = '0.3.%.d' % (buildno,),
	description = 'Accelerator library for 3d games',
	author = 'Bradley Lawrence',
	author_email = 'py3dutil@iambitter.org',
	long_description = '''
Does arrays, vectors, and collision. Does them fast. Oh my yes.
''',
	packages=setuptools.find_packages(),
	ext_modules = [module1])

